Name:		rpmlint-mandriva-policy
Version:	0.3.24
Release:	1
Summary:	Rpmlint mandriva policy
Group:		Development/Other
License:	GPLv2+
URL:		http://wiki.mandriva.com/
Source0:	mandriva.conf
Source1:	mandriva.error.list
BuildArch:	noarch
BuildRequires:	rpmlint
Requires:	rpmlint

%description
Official rpmlint Mandriva policy, install this if you want to  produce RPMs
for Mandriva.

%prep

%build

%check
PYTHONPATH=%{_datadir}/rpmlint python %{SOURCE0}

%install
install -m644 %{SOURCE0} -D %{buildroot}%{_datadir}/rpmlint/config.d/mandriva.conf
install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/rpmlint/config.d/mandriva.error.list

%files
%{_datadir}/rpmlint/config.d/*


%changelog
* Fri Aug 17 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.24-1
+ Revision: 815151
- make debuginfo-without-sources into a hard error

* Sat Aug 04 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.23-1
+ Revision: 811693
- make empty-%%{pre,pretrans,preun,post,posttrans,postun} hard errors

* Wed Jun 27 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.22-1
+ Revision: 807246
- set BadnessThreshold to 49 so that a score of 50 will exceed it

* Fri Mar 23 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.21-1
+ Revision: 786338
- add a simple %%check stage where the config file is loaded with python to make
  sure it at least does load
- fix typo

* Fri Mar 23 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.20-1
+ Revision: 786267
- make double-slash-in-path a hard failure

* Thu Mar 22 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.19-1
+ Revision: 785986
- delay enabling legacy-mandriva-filetriggers error for now, not ready to switch
  to using it everywhere yet..

* Thu Mar 22 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.18-1
+ Revision: 785972
- make legacy-mandriva-filetriggers an error (will be made a hard error later)
- make info-files-with-install-info-postin, info-files-with-install-info-postun &
  requires-on-install-info hard errors

* Fri Mar 02 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.17-1
+ Revision: 781901
- fix broken filter on useless-provides for elf(buildid)

* Fri Mar 02 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.16-1
+ Revision: 781870
- turn shared-lib-not-executable into a hard error
- make unstripped-binary-or-object a hard error

* Thu Mar 01 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.15-1
+ Revision: 781691
- drop silly %%rpmlint_config variable
- make external-depfilter-with-internal-depgen a hard error
- filter out useless-provides for 'elf(buildid)' dependencies

* Tue Feb 21 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.13-1
+ Revision: 778715
- filter out some errors on uclibc stuff

* Thu Feb 16 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.12-1
+ Revision: 774660
- add some more unexpanded-macro filters for ruby..

* Sun Feb 12 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.11-1
+ Revision: 773463
- add another unexpanded-macro exception for ruby docs..

* Sun Feb 12 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.10-1
+ Revision: 773429
- make debuginfo-without-sources into error

* Fri Feb 10 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.9-1
+ Revision: 772442
- filter out hardcoded-library-path for /lib/udev/
- filter out hidden-file-or-dir for debug packages
- filter out incorrect-fsf-address warning as it mainly just annoying...

* Mon Jan 23 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.8-1
+ Revision: 767251
- fix expression for ruby doc exceptions

* Mon Jan 23 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.7-1
+ Revision: 767097
- filter out unexpanded-macro for ruby documentation (from Mageia)

* Sat Jan 21 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.6-1
+ Revision: 764401
- make unexpanded-macro hard failure

* Sat Jan 21 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.5-1
+ Revision: 763395
- filter out dangling-relative-symlink for multiarch-dispatch
- filter out subdir-in-bin for multiarch

* Fri Jan 06 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.3-1
+ Revision: 758279
- make use-of-RPM_SOURCE_DIR a hard error as $RPM_SOURCE_DIR has been killed
- make standard-dir-owned-by-package a hard error
- drop package specific filters, they've now been moved out to the individual
  packages in stead
- filter script-without-shebang warning for systemd .service files
- filter out executable-stack warnings for debug packages

* Fri Dec 23 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.2-1
+ Revision: 744914
- just act as if RPMBUILD_MAINTAINER_MODE has been set by default for now..
- just set no-changelogname-tag & no-signature to badness level 0 for now..

* Thu Dec 22 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.1-1
+ Revision: 744280
- give the following checks a badness score of 50:
  buildprereq-use
  description-line-too-long
  dir-or-file-in-home
  dir-or-file-in-mnt
  dir-or-file-in-opt
  dir-or-file-in-tmp
  dir-or-file-in-usr-local
  dir-or-file-in-var-local
  empty-debuginfo-package
  info-dir-file
  percent-in-conflicts
  percent-in-dependency
  percent-in-obsoletes
  percent-in-provides
  prereq-use
  summary-on-multiple-lines
  summary-too-long
- add exception on dir-or-file-in-usr-local for filesystem package
- add summary-ended-with-dot with error score of 50 for same reason...
- add non-standard-group as error with a score of 50 to exceed error threshold
  (copying build system behaviour rejecting packages failing this check)

* Thu Dec 22 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3-1
+ Revision: 744237
- add exception for standard-dir-owned-by-package on /var/lib/rpm for rpm
- add an exception for no-dependency-on on perl-base
- give errors a default badness score of 1 for now..
- excuse debug packages for not having documentation
- match package name as well for debug package exceptions
- filter out 'requires-on-release' warnings
- fix filters to work with badness score
- remove files-attr-not-set & no-cleaning-of-buildroot from error list
- drop deprecated UseBzip2 & UseLzma options
- add support for setting a RPMBUILD_MAINTAINER_MODE variable to disable certain
  checks when set to a positive integer (ie. convenient with local builds from
  svn etc.
- ditch broken-syntax-in-scriptlet-requires check, Requires(pre,post,...) syntax
  is working with any recent rpm version anyways...
- add support for setting "badness" value in error list file

* Tue Dec 20 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.6-7
+ Revision: 744022
- fix some frenglish in description
- read lines from error list with newline stripped, otherwise they'll all be
  ignored

* Tue May 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.6-6
+ Revision: 673165
- another -debug filtering
- add a couple more -debug related filters

* Tue May 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.6-4
+ Revision: 673124
- add various policy exceptions for -debug packages

* Sat May 07 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.6-3
+ Revision: 671298
- cleanups
- fix filter expression on no-buildroot-tag which didn't match
- filter out no-cleaning-of-buildroot check
- don't check for file attrs set as %%defattr(-,root,root) is now default
- don't check for %%clean section
- check for xz compression extension in stead of lzma

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-2mdv2011.0
+ Revision: 614717
- the mass rebuild of 2010.1 packages

* Wed Mar 10 2010 Michael Scherer <misc@mandriva.org> 0.2.6-1mdv2010.1
+ Revision: 517561
- filter warning about python requirement, this was changed on rpm-helper
- do not warn on missing BuildRoot

* Tue Feb 09 2010 Michael Scherer <misc@mandriva.org> 0.2.5-1mdv2010.1
+ Revision: 502519
- adapt source-or-patch-not-gzipped to new error name
- add libxml2-devel to the list of false positive
- do not show warning on invalid url ( yet )
- adapt to new rpmlint option for manpages compression

* Thu Sep 10 2009 Michael Scherer <misc@mandriva.org> 0.2.4-1mdv2010.0
+ Revision: 436808
- filter source-or-patch-not-gzipped , asked by fcrozat

* Thu Aug 13 2009 Michael Scherer <misc@mandriva.org> 0.2.3-2mdv2010.0
+ Revision: 415999
- filter various errors, asked by fcrozat and teuf on irc, mainly with regard to library

* Wed Aug 05 2009 Michael Scherer <misc@mandriva.org> 0.2.3-1mdv2010.0
+ Revision: 410242
- fix manpages suffix error
- fix wrong filename

* Fri Jul 31 2009 Michael Scherer <misc@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 404874
- fix the syntax of config file

* Thu Jul 30 2009 Michael Scherer <misc@mandriva.org> 0.2-1mdv2010.0
+ Revision: 404464
- add the valid rpm group

* Tue May 05 2009 Michael Scherer <misc@mandriva.org> 0.1-1mdv2010.0
+ Revision: 372050
- rename the file
- use a second file with the list of rpmlint error
- add a requires on rpmlint
- import rpmlint-mandriva-policy

